import { LoiDebit } from "./structure_props";
import { StructureVanLevParams } from "./structure_vanlev_params";
import { StructureWeirVillemonte } from "./structure_weir_villemonte";

export class StructureVanLevVillemonte extends StructureWeirVillemonte {

    constructor(prms: StructureVanLevParams, dbg: boolean = false) {
        super(prms, dbg);
        this._loiDebit = LoiDebit.VanLevVillemonte;
    }

    /**
     * paramètres castés au bon type
     */
    get prms(): StructureVanLevParams {
        return this._prms as StructureVanLevParams;
    }
}
